/*!
  \file
  \brief ロードの進捗表示

  \author Satofumi KAMIMURA

  $Id$
*/

#include "ProgressWidget.h"


struct ProgressWidget::pImpl
{
  ProgressWidget* widget_;


  pImpl(ProgressWidget* widget) : widget_(widget)
  {
  }
};


ProgressWidget::ProgressWidget(QWidget* widget)
  : QWidget(widget), pimpl(new pImpl(this))
{
  setupUi(this);
}


ProgressWidget::~ProgressWidget(void)
{
}


void ProgressWidget::setProgress(int percent)
{
  load_progress_->setValue(percent);
}
